Package twisted :: Package coil :: Package plugins :: Module portforward :: Class ProxyConfigurator

[show private | hide private]
[frames | no frames]

## Class ProxyConfigurator

    Configurator --+
                   |
                  ProxyConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| `config_port(self, port)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)

Class Variable Summary
`string` | `configName`
`dictionary` | `configTypes`
`class` | `ProxyFactory`

Class Variable Details

### configName

  Type:
    `string`
  Value:

        'TCP Port Forwarder'

### configTypes

  Type:
    `dictionary`
  Value:

        {'host': [<type 'string'>,
                  'Remote Host',
                  "Host to forward to, e.g. 'www.yahoo.com'."],
         'port': [<type 'int'>, 'Remote Port', 'Port to forward to, e.g. 80.']\
        }

### ProxyFactory

`ProxyFactory` = `twisted.protocols.portforward.ProxyFactory`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:54 2003 | http://epydoc.sf.net